/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/filesystem/filedevice.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/filesystem/filesystem.hpp"

CSGXFileEntry *CSGXDevice::addNewFile(CSGXFileEntry *pNewEntry) {
	return pNewEntry;
}

CSGXFileEntry *CSGXDevice::addNewDirectory(CSGXFileEntry *pNewEntry) {
	return pNewEntry;
}

CSGXFileEntry *CSGXDevice::createNewFile(CSGXFileEntry *pParentEntry, const sgxString &filename) {
	SGX_UNUSED(pParentEntry);
	SGX_UNUSED(filename);
	return NULL;
}

CSGXFileEntry *CSGXDevice::createNewDirectory(CSGXFileEntry *pParentEntry, const sgxString &dirName) {
		CSGXFileEntry *pNewDir = CSGXFileSystem::get()->createFileEntry(pParentEntry, dirName);
#if 0
							sgxString fullName = rootmount + ("/") + sgxString(finddata.cFileName);
					CSGXDevice *pDevice = new CSGXDeviceWin32Disc(nativePath + "/" + finddata.cFileName);
					pFS->mountDirectory(pDevice, fullName, TRUE);
#endif
		//CSGXFileEntry *CSGXFileSystem::createNewDirectory(const sgxString &PathName)

	return pNewDir;
}


